> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Review text generator

> Generate authentic-sounding customer reviews for your business based on your business details and keywords.



## OpenAPI

````yaml POST /tools/review-text-generator
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /tools/review-text-generator:
    post:
      description: >-
        Generate authentic-sounding customer reviews for your business based on
        your business details and keywords.
      requestBody:
        description: Review text generation parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReviewTextGeneratorRequest'
        required: true
      responses:
        '200':
          description: Review text generated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewTextGeneratorResponse'
              examples:
                validationError:
                  value:
                    status: 200
                    data: {}
                    success: true
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    status: 400
                    data: {}
                    success: false
                    message: <string>
      servers:
        - url: https://api.hobbo.ai
components:
  schemas:
    ReviewTextGeneratorRequest:
      type: object
      required:
        - customer_business_name
        - customer_business_type
        - customer_business_subtype
        - customer_business_context
        - customer_business_location
        - customer_business_language
      properties:
        customer_business_name:
          type: string
          description: Name of the business
        customer_business_type:
          type: string
          description: Type of business (e.g., Cafe, Restaurant, Hotel)
        customer_business_subtype:
          type: string
          description: Subtype or specialty of the business
        customer_business_context:
          type: string
          description: >-
            Detailed description of the business, its offerings, and unique
            selling points
        customer_business_location:
          type: string
          description: Physical address or location of the business
        customer_business_language:
          type: string
          description: Language in which the review should be generated
        keywords:
          type: array
          items:
            type: string
          description: Keywords to include in the generated review (optional)
    ReviewTextGeneratorResponse:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: string
          description: Generated review text
        success:
          type: boolean
          description: Whether the operation was successful
        message:
          type: string
          description: Status message about the review generation
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````